<template>
  <v-autocomplete
    v-bind="$attrs"
    v-model="sex"
    :items="validSexes"
    item-value="id"
    item-text="name"
   /></template>

<script lang="ts">
import Vue from 'vue'

const validSexes = [
  {
    id: 'M',
    name: 'Masculino'
  },
  {
    id: 'F',
    name: 'Feminino'
  }
]

export default Vue.extend({
  name: 'BiologicalSexInput',
  props: {
    value: { type: String, default: null }
  },
  data: () => ({
    validSexes
  }),
  computed: {
    sex: {
      get (): string {
        return this.value
      },
      set (v: string) {
        this.$emit('input', v)
      }
    }
  }
})
</script>
